/*
 * $Id: BasicGrabHandleFactory.java,v 1.1 2004/02/05 20:12:09 mnwaltz Exp $
 *
 * Copyright (c) 1998-2000 The Regents of the University of California.
 * All rights reserved. See the file COPYRIGHT for details.
 */
package diva.canvas.interactor;

import diva.canvas.Site;

/**
 * A factory that creates basic grab-handles.
 *
 * @author Michael Shilman  (michaels@eecs.berkeley.edu)
 * @version	$Revision: 1.1 $
 */
public class BasicGrabHandleFactory implements GrabHandleFactory {
    /** Create a new basic grab-handle. This is a default
     * instance of BasicGrabHandle.
     */
    public GrabHandle createGrabHandle(Site s) {
        return new BasicGrabHandle(s);
    }
}


