/*
 * $Id: Filter.java,v 1.1 2004/02/05 20:12:16 mnwaltz Exp $
 *
 * Copyright (c) 1998-2000 The Regents of the University of California.
 * All rights reserved. See the file COPYRIGHT for details.
 */
package diva.util;

/**
 * An interface for objects that filter other objects
 *
 * @author John Reekie      (johnr@eecs.berkeley.edu)
 * @version $Revision: 1.1 $
 */
public interface Filter {
  /** Test if an object passes the filter, returning true
   * if it does and false if it does not.
   */
  public boolean accept (Object o);
}


