//--------------------------------------------------
// DecisionTreeHeader.java
// Author: Rimma V. Nehme, rnehme@purdue.edu, 2007
//--------------------------------------------------
package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh;

import java.io.Serializable;

// this class represents a signature of an attribute
// the parameters specified below will be used to determine
// if the attribute value will be used in the decision tree
// construction
@SuppressWarnings("serial")
public class DecisionTreeHeader implements Serializable
{
	public String attrName;
	public boolean useAttr;
	public boolean isTarget;
	
	public DecisionTreeHeader(String attrNameVal, boolean useAttrVal, boolean useTargetVal)
	{
		attrName = attrNameVal;
		useAttr = useAttrVal;
		isTarget = useTargetVal;
	}
}
