package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.execution;

import java.util.*;
import java.io.Serializable;

@SuppressWarnings("serial")
public class DecisionTreeNode implements Serializable {
	public int id;
	public int attr_idx;
	public String attr_name = "";
	public boolean is_bucket_value;
	public int bucket_range_start;
	public int bucket_range_end;
	public String operation = "";
	public int route_id;
	public String test_value;

	public ArrayList<Integer> children;
	public ArrayList<Integer> parents;

	public DecisionTreeNode() {
		children = new ArrayList<Integer>();
		parents = new ArrayList<Integer>();
	}
}
