package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.execution;

import java.util.ArrayList;

//Karen Works
//10/07
// nodes in the DT

public class node {

	public static final int RootId = -1;
	public static final int UndefinedId = 0;
	public static final int RusterId = 1;
	public static final int EqualOperatorNodeId = 2;
	public static final int RangeNodeId = 3;

	public ArrayList<Object> obj;
	public ArrayList<Integer> IdType;

	// The parent to this node. The root has parent == null
	public node parent;
	// path to take if data does not match fond characteristics
	public RusterNode DefaultPath;

	public node(int typ, Object o) {
		obj = new ArrayList<Object>();
		IdType = new ArrayList<Integer>();

		IdType.add(typ);
		obj.add(o);
	}

	public node() {
		obj = new ArrayList<Object>();
		IdType = new ArrayList<Integer>();

	}

	@SuppressWarnings("unchecked")
	public node(ArrayList<Integer> typ, ArrayList<Object> o) {
		obj = new ArrayList<Object>();
		IdType = new ArrayList<Integer>();

		IdType = (ArrayList<Integer>) typ.clone();
		obj = (ArrayList<Object>) o.clone();
	}

	public boolean IsRoot(int i) {
		return (IdType.get(i) == RootId);
	}

	public boolean IsUndefined(int i) {
		return (IdType.get(i) == UndefinedId);
	}

	public boolean IsRuster(int i) {
		return (IdType.get(i) == RusterId);
	}

	public boolean IsEqualOperatorNode(int i) {
		return (IdType.get(i) == EqualOperatorNodeId);
	}

	public boolean IsRangeNode(int i) {
		return (IdType.get(i) == RangeNodeId);
	}

	public void addObject(int type, Object o) {
		IdType.add(type);
		obj.add(o);
	}
}
