/*
 * NotDefinedConstraint.java
 *
 */
package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.optimization.JSetL;


/* Eccezione sollevata quando si introduce nel constraint 
   store un vincolo che non compare tra quelli predefiniti 
   o tra quelli definiti dall'utente. */
/**
 * The <code>NotDefinedConstraint</code> class is used to thrown exeption raised 
 * whenever we try to add to the CS a constraint that is neither a predefined 
 * constraint nor a user-defined constraint.
 *
 * @author  Elio Panegai
 * @author  Elisabetta Poleo
 * @version 1.3.0
 */
public class NotDefinedConstraint extends RuntimeException {
}
