/*
 * NotInitVarException.java
 *
 */
package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.optimization.JSetL;


/* Eccezione sollevata quando si applicano i metodi ext1 ed extn 
   ad una lista non inizializzata. */
/**
 * The <code>NotInitVarException</code> class is used to thrown exeption raised 
 * when ext1() and extn() methods are applied to an uninitialized Lst.
 *
 * @author  Elio Panegai
 * @author  Elisabetta Poleo
 * @version 1.3.0
 * @see     JSetL.Lst#ext1
 * @see     JSetL.Lst#extn
 */
public class NotInitVarException extends RuntimeException {
}
