//--------------------------------------------------
// OptimizerOpInput.java
// Author: Rimma V. Nehme, rnehme@purdue.edu, 2007
//--------------------------------------------------

package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.optimization;

public class OptimizerOpInput implements java.io.Serializable
{
	
	//----------------------------------------------------------------------------------------------------
	
	String name;
	double cardinality;
	
	//----------------------------------------------------------------------------------------------------
	
	public OptimizerOpInput(String nameVal, double cardinalityVal)
	{
		name = nameVal;
		cardinality = cardinalityVal;
	}
	
	//----------------------------------------------------------------------------------------------------
	
	public String getInputName()
	{
		return name;		
	}
	
	//----------------------------------------------------------------------------------------------------
	
	public double getCardinality()
	{		
	    return cardinality;
	}
	
   //----------------------------------------------------------------------------------------------------
    
    public String toString() 
    {
        StringBuilder result = new StringBuilder();
        String NEW_LINE = System.getProperty("line.separator");

        result.append(NEW_LINE + "OptimizerOpInput:"+ NEW_LINE);
        result.append("name: " + name + NEW_LINE);
        result.append("cardinality: " + cardinality + NEW_LINE);
        return result.toString();    
    }
    
  //----------------------------------------------------------------------------------------------------
    
}
