//--------------------------------------------------
// TrainingSetCollectorOperatorInputSpecification.java
// Author: Rimma V. Nehme, rnehme@purdue.edu, 2008
//--------------------------------------------------
package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.optimization;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Hashtable;
import java.util.Vector;

public class TrainingSetCollectorOperatorInputSpecification implements java.io.Serializable
{
	private String id;
	private String name;
	private ArrayList attributes;
		
    public TrainingSetCollectorOperatorInputSpecification(String idVal, 
    										String nameVal,
    										ArrayList attributesVal)
    {
    	id = idVal;
    	name = nameVal;
    	attributes = attributesVal;
    }

        
    public String toString() 
    {
        StringBuilder result = new StringBuilder();
        String NEW_LINE = System.getProperty("line.separator");

        result.append("-----------operator input ----------------"+ NEW_LINE);
        //result.append(this.getClass().getName() + " Object {" + NEW_LINE);
        result.append("Input Id: " + id + NEW_LINE);
        result.append("Input Name: " + name + NEW_LINE);                
        result.append("-----------end operator input-------------"+ NEW_LINE);
        return result.toString();
     }

	public String GetId()
	{
		return id;		
	}
		
	public String GetInputName()
	{
		return name;		
	}	
	
	public ArrayList GetAttributes()
	{
		return attributes;		
	}	
}
