//--------------------------------------------------
// OperatorAndSelectivity.java
// Author: Rimma V. Nehme, rnehme@purdue.edu, 2008
//--------------------------------------------------
package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.selftuning;

public class OperatorAndSelectivity 
{	
	//-----------------------------------------------------------------------------
	
	private String opIndex;
	private double sel;
	
	//-----------------------------------------------------------------------------
	
	public OperatorAndSelectivity(String opIndexVal, double selVal)
	{
		opIndex = opIndexVal;
		sel = selVal;
	}
	
	//-----------------------------------------------------------------------------
	
	public int GetOperatorIndex()
	{
		return Integer.parseInt(opIndex);
	}
	
	//-----------------------------------------------------------------------------
	
	public double GetOperatorSelectivity()
	{
		return sel;
	}
	
	//-----------------------------------------------------------------------------
}
