//--------------------------------------------------
// OperatorIndividualSample.java
// Author: Rimma V. Nehme, rnehme@purdue.edu, 2008
//--------------------------------------------------

package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.selftuning;

//stores operator statistic per individual route (ruster) per stream
public class OperatorIndividualSample 
{
	//-----------------------------------------------------------------------------
	
	int tuplesIn;
	int tuplesOut;
	long lastUpdateTime = -999; //last time this statistic was updated	
	
	//-----------------------------------------------------------------------------
	
	public OperatorIndividualSample(int tuplesInVal, int tuplesOutVal, long time)
	{
		tuplesIn = tuplesInVal;
		tuplesOut = tuplesOutVal;
		lastUpdateTime = time;		
	}
	
	//-----------------------------------------------------------------------------
	
	public int GetTuplesIn()
	{
		return tuplesIn;
	}
	
	//-----------------------------------------------------------------------------
	
	public void SetTuplesIn(int tuplesInVal)
	{
		tuplesIn = tuplesInVal;
	}

	//-----------------------------------------------------------------------------
	
	public int GetTuplesOut()
	{
		return tuplesOut;
	}
	
	//-----------------------------------------------------------------------------
	
	public void SetTuplesOut(int tuplesOutVal)
	{
		tuplesOut = tuplesOutVal;
	}
	
	//-----------------------------------------------------------------------------
	
	public long GetLastUpdateTime()
	{
		return lastUpdateTime;
	}

	//-----------------------------------------------------------------------------
	
	public void SetLastUpdateTime(long lastUpdateTimeVal)
	{
		lastUpdateTime = lastUpdateTimeVal;
	}
	
	//-----------------------------------------------------------------------------
	
}
