//--------------------------------------------------
// RouteSignatureComparator.java
// Author: Rimma V. Nehme, rnehme@purdue.edu, 2008
//--------------------------------------------------

package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.selftuning;

import java.util.*;
public class RouteSignatureComparator implements Comparator
{
	//-----------------------------------------------------------------------------
	
	public int compare(Object o1, Object o2)
	{    
		RouteSignatureStorage one = (RouteSignatureStorage) o1;    
		RouteSignatureStorage two = (RouteSignatureStorage) o2;

		String oneRusterId = one.routeId;
		String twoRusterId = two.routeId;
				
		return oneRusterId.compareToIgnoreCase(twoRusterId);  
	}
 
	//-----------------------------------------------------------------------------	
	// some code of an other class here

	void aMethod()
	{  
		ArrayList myList = new ArrayList();
		// something to fill myList
  
		Collections.sort(myList, new RouteSignatureComparator());
		// now myList is sorted ascending by the the size of the inside ArrayLists
	}
	
	//-----------------------------------------------------------------------------
	
}
