package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.translation;

import java.util.Comparator;

public class ClassifierInputSignature  
{
    public enum INPUT_TYPE 
    {
    	STREAM,
    	OPERATOR
    }
    
    private INPUT_TYPE inputType = INPUT_TYPE.STREAM; //default input is streams
	
    private String streamId = ""; 
    private String streamName = ""; 
    private String operatorId = ""; 	
	
	public ClassifierInputSignature(INPUT_TYPE inputTypeVal, 
									String streamIdVal, 
									String streamNameVal,
									String operatorIdVal)
	{
		inputType = inputTypeVal;
		streamId = streamIdVal;
		streamName = streamNameVal;
		operatorId = operatorIdVal;
	}

	public String GetStreamId()
	{
		return streamId;
	}
	
	public String GetStreamName()
	{
		return streamName;
	}
	
	public String GetOperatorId()
	{
		return operatorId;
	}
	
	public INPUT_TYPE GetType()
	{
		return inputType;
	}
}
