package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.translation;

import java.util.Comparator;

public class InputStreamSignatureComparer implements Comparator 
{
	public int compare(Object child1, Object child2)
	{
		try
		{
			//------------------------------------------------------------------
			// COMPARING STREAM IDS
			//------------------------------------------------------------------			
			if (((ClassifierInputSignature)child1).GetStreamId() != null)
			{
				String streamId1 = ((ClassifierInputSignature)child1).GetStreamId();
				String streamId2 = ((ClassifierInputSignature)child2).GetStreamId();
				
				if (child1 == null)
					return -1;
				else
					return streamId1.compareTo(streamId2);
			}
			else
			{
				//------------------------------------------------------------------
				// COMPARING OPERATOR IDS
				//------------------------------------------------------------------
				String operatorId1 = ((ClassifierInputSignature)child1).GetOperatorId();
				String operatorId2 = ((ClassifierInputSignature)child2).GetOperatorId();
					
					if (child1 == null)
						return -1;
					else
						return operatorId1.compareTo(operatorId2);
			}
		 }
		catch (Exception e)
		{
			return 0;
		}
	}
}
