package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.translation;

import java.util.ArrayList;

public class STEMOperatorSignature 
{
	String opId = ""; 
	String streamId = ""; 
	String probeStreamId = ""; 
	String numTupleIndex = "";
	String numSTeMIndex = "";
	String stemStreamId = "";
	ArrayList childrenOps = new ArrayList();

	
	public STEMOperatorSignature(String opIdVal, 
								 String streamIdVal,
								 String probeStreamIdVal,
								 String numTupleIndexVal,
								 String stemStreamIdVal,
								 String numSTeMIndexVal,
								 ArrayList childrenOpsVal)
	{
		opId = opIdVal;
		streamId = streamIdVal;
		//<!-- probe data  --> 
		//<variable name="ProbeSTREAMId" value="2" />
		//<variable name="NumTupleIndex" value="1"/>
		probeStreamId = probeStreamIdVal;
		numTupleIndex = numTupleIndexVal;
		//<!-- stored data  --> 
		//<variable name="STeMSTREAMId" value="1" />
		//<variable name="NumSTeMIndex" value="2"/>
		stemStreamId = stemStreamIdVal;
		numSTeMIndex = numSTeMIndexVal;
		
		//children
		childrenOps = childrenOpsVal;
	}
	
	public String GetOpId()
	{
		return opId;
	}
	
	public String GetStreamId()
	{
		return streamId;
	}
	
	public String GetProbeStreamId()
	{
		return probeStreamId;
	}
	
	public String GetNumTupleIndex()
	{
		return numTupleIndex;
	}
	
	public String GetStemStreamId()
	{
		return stemStreamId;
	}
	
	public String GetNumSTEMIndex()
	{
		return numSTeMIndex;
	}
	
	public ArrayList GetChildren()
	{
		return childrenOps;
	}
}
