/*
/////////////////////////// COPYRIGHT /////////////////////////////////////
//
//  Query Mesh 1.0 - Adaptive Data Stream Query Processing.
//
//  Copyright 2010, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty.
//  In no event will the authors be held liable for any damages arising
//  from the use of this software.
//
//  Authors:
//  Steffen Christ, Katica Dimitrova, Luping Ding, Michal A. Dobos,
//  Maged El-Sayed, Geoff Greene, Huzefa Hakimi, Chuan Lei, Justin Lutz, 
//	Guy D. Mann, Mukesh Mulchandani, Brian Murphy, Rimma Nehme, 
//	Bradford Pielech, Alex Proschitsky, Elke A. Rundensteiner, Ling Wang,
//	Song Wang, Karen Works, and Xin Zhang
//
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/dsrg/PROJECTS/QM/index.html
//  Send bug reports, bug fixes, enhancements, requests, or comments to
//  the QueryMesh Development Team: <QueryMesh@WPI.EDU>.
 * Created on Apr 17, 2005
 * To propagate partitionMaps to all the split operators in the query processor
 * even the split operator is not activated in that query processor. It is used to
 * help the updating of cost statistics when multiple join operators exist in the query
 * tree
 */
package edu.wpi.cs.dsrg.xmldb.xat.component.distribution.connection;

import java.io.Serializable;
import java.util.Hashtable;
/**
 * @author Bin Liu
 */
public class PropagatePartitionMaps implements Serializable, Connection {

	Hashtable partitionMaps;
	
	public PropagatePartitionMaps(Hashtable maps){
		partitionMaps = maps;
	}
	public Hashtable getPartitionMaps(){
		return partitionMaps;
	}
	
	/* (non-Javadoc)
	 * @see edu.wpi.cs.dsrg.xmldb.xat.component.distribution.connection.Connection#getClassName()
	 */
	public String getClassName() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see edu.wpi.cs.dsrg.xmldb.xat.component.distribution.connection.Connection#getFromIPAddress()
	 */
	public String getFromIPAddress() throws ConnectionException {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see edu.wpi.cs.dsrg.xmldb.xat.component.distribution.connection.Connection#getFromOperator()
	 */
	public String getFromOperator() throws ConnectionException {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see edu.wpi.cs.dsrg.xmldb.xat.component.distribution.connection.Connection#getFromPort()
	 */
	public int getFromPort() throws ConnectionException {
		// TODO Auto-generated method stub
		return 0;
	}

	/* (non-Javadoc)
	 * @see edu.wpi.cs.dsrg.xmldb.xat.component.distribution.connection.Connection#getFromQueueNumber()
	 */
	public int getFromQueueNumber() throws ConnectionException {
		// TODO Auto-generated method stub
		return 0;
	}

	/* (non-Javadoc)
	 * @see edu.wpi.cs.dsrg.xmldb.xat.component.distribution.connection.Connection#getStreamLength()
	 */
	public int getStreamLength() throws ConnectionException {
		// TODO Auto-generated method stub
		return 0;
	}

	/* (non-Javadoc)
	 * @see edu.wpi.cs.dsrg.xmldb.xat.component.distribution.connection.Connection#getStreamName()
	 */
	public String getStreamName() throws ConnectionException {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see edu.wpi.cs.dsrg.xmldb.xat.component.distribution.connection.Connection#getToIPAddress()
	 */
	public String getToIPAddress() throws ConnectionException {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see edu.wpi.cs.dsrg.xmldb.xat.component.distribution.connection.Connection#getToOperator()
	 */
	public String getToOperator() throws ConnectionException {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see edu.wpi.cs.dsrg.xmldb.xat.component.distribution.connection.Connection#getToPort()
	 */
	public int getToPort() throws ConnectionException {
		// TODO Auto-generated method stub
		return 0;
	}

	/* (non-Javadoc)
	 * @see edu.wpi.cs.dsrg.xmldb.xat.component.distribution.connection.Connection#getToQueueNumber()
	 */
	public int getToQueueNumber() throws ConnectionException {
		// TODO Auto-generated method stub
		return 0;
	}

}
