/////////////////////////// COPYRIGHT /////////////////////////////////////
//
//  Query Mesh 1.0 - Adaptive Data Stream Query Processing.
//
//  Copyright 2010, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty.
//  In no event will the authors be held liable for any damages arising
//  from the use of this software.
//
//  Authors:
//  Steffen Christ, Katica Dimitrova, Luping Ding, Michal A. Dobos,
//  Maged El-Sayed, Geoff Greene, Huzefa Hakimi, Chuan Lei, Justin Lutz, 
//	Guy D. Mann, Mukesh Mulchandani, Brian Murphy, Rimma Nehme, 
//	Bradford Pielech, Alex Proschitsky, Elke A. Rundensteiner, Ling Wang,
//	Song Wang, Karen Works, and Xin Zhang
//
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/dsrg/PROJECTS/QM/index.html
//  Send bug reports, bug fixes, enhancements, requests, or comments to
//  the QueryMesh Development Team: <QueryMesh@WPI.EDU>.

package edu.wpi.cs.dsrg.xmldb.xat.raindrop.utils;

import java.util.ArrayList;
import java.util.List;

/**
 * manage all the ClassExecTimeKeepers associated with the java classes
 * Creation date: (4/24/2003 10:28:49 PM)
 * @author: Hong Su
 */

 
public class ClassExecTimeKeeperMgr {
	static List timeKeepers = new ArrayList();
/**
 * ClassExecTimeKeeperMgr constructor comment.
 */
public ClassExecTimeKeeperMgr() {
	super();	
}
/**
 * Insert the method's description here.
 * Creation date: (4/24/2003 10:30:07 PM)
 */
static protected void addIntoMgr(ClassExecTimeKeeper keeper) {
	timeKeepers.add(keeper);
	}
/**
 * Insert the method's description here.
 * Creation date: (5/11/2003 2:36:03 PM)
 */
static public void clearUpMgr() {
	timeKeepers.clear();
	
	}
/**
 * Insert the method's description here.
 * Creation date: (5/9/2003 10:21:11 PM)
 * @return java.util.List
 */
public static java.util.List getTimeKeepers() {
	return timeKeepers;
}
/**
 * Insert the method's description here.
 * Creation date: (5/9/2003 10:21:11 PM)
 * @param newTimeKeepers java.util.List
 */
public static void setTimeKeepers(java.util.List newTimeKeepers) {
	timeKeepers = newTimeKeepers;
}
}
