/*
 * $Id: ClassifierException.java,v 1.1 2004/02/05 20:12:10 mnwaltz Exp $
 *
 * Copyright (c) 1998-2000 The Regents of the University of California.
 * All rights reserved. See the file COPYRIGHT for details.
 */
package diva.sketch.classification;

/**
 * Thrown when there is some internal error in the training
 * or classification process.
 *
 * @author Michael Shilman  (michaels@eecs.berkeley.edu)
 * @version $Revision: 1.1 $
 */
public class ClassifierException extends Exception {
    /**
     * Construct a ClassifierException with no
     * error message.
     */
    public ClassifierException() {
        super();
    }
    
    /**
     * Construct a ClassifierException with the specified
     * error message.
     */
    public ClassifierException(String s) {
        super(s);
    }
}


