package edu.wpi.cs.dsrg.xmldb.xat.common.operator;

import java.io.Serializable;

/**
 * @author Timothy M. Sutherland
 * @author tims@cs.wpi.edu
 * @author http://www.tsutherland.com
 * @version 1.0
 * 
 * Mar 18, 2004
 * 
 * Insert comments here.
 */
public class LightWeightQueryObject implements Serializable {


	private boolean active;
	private String className;
	private String name;
	private int objectID;
	
	/**
	 * 
	 */
	public LightWeightQueryObject(String name, String className, boolean active) {
		this.active = active;
		this.className = className;
		this.name = name;
		this.objectID = 1;
	}
	
	public LightWeightQueryObject(String name, int objectID, String className, boolean active) {
		this.active = active;
		this.className = className;
		this.name = name;
		this.objectID = objectID;
	}

	/**
	 * @return
	 */
	public boolean isActive() {
		return active;
	}

	/**
	 * @return
	 */
	public String getClassName() {
		return className;
	}

	/**
	 * @return
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param b
	 */
	public void setActive(boolean b) {
		active = b;
	}

	/**
	 * @param string
	 */
	public void setClassName(String string) {
		className = string;
	}

	/**
	 * @param string
	 */
	public void setName(String string) {
		name = string;
	}

	public String toString(){
		return this.getName();
	}
	
	public int getObjectID(){
		return this.objectID;
	}
}
