/////////////////////////// COPYRIGHT /////////////////////////////////////
//
//  Query Mesh 1.0 - Adaptive Data Stream Query Processing.
//
//  Copyright 2010, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty.
//  In no event will the authors be held liable for any damages arising
//  from the use of this software.
//
//  Authors:
//  Steffen Christ, Katica Dimitrova, Luping Ding, Michal A. Dobos,
//  Maged El-Sayed, Geoff Greene, Huzefa Hakimi, Chuan Lei, Justin Lutz, 
//	Guy D. Mann, Mukesh Mulchandani, Brian Murphy, Rimma Nehme, 
//	Bradford Pielech, Alex Proschitsky, Elke A. Rundensteiner, Ling Wang,
//	Song Wang, Karen Works, and Xin Zhang
//
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/dsrg/PROJECTS/QM/index.html
//  Send bug reports, bug fixes, enhancements, requests, or comments to
//  the QueryMesh Development Team: <QueryMesh@WPI.EDU>.
package edu.wpi.cs.dsrg.xmldb.xat.common.operator.state;

import java.util.ArrayList;
import java.util.Hashtable;

import edu.wpi.cs.dsrg.xmldb.xat.common.dag.*;
import edu.wpi.cs.dsrg.xmldb.xat.common.relationalstreamexpression.ExpressionStr;

//import streamgenerator.*;
/**
 * Insert the type's description here.
 * Creation date: (2/17/2003 5:35:25 PM)
 * @author: Yali Zhu
 */
public class WHashState extends WOperatorState {
    int hashcolumn; //The join column of the input
    Hashtable partitiontable = new Hashtable();
/**
 * HashState constructor comment.
 */
public WHashState() {
	super();
}

public void setHashColumn(int columnposition) {
    this.hashcolumn = columnposition;
}

public int getHashColumn() {
    return this.hashcolumn;
}

/**
 * Insert the method's description here.
 * Creation date: (4/10/2003 9:19:49 AM)
 * @return boolean
 */
public boolean checkAllOldTuplePurged()
{
	return false;
}

public void clearState() {
}

public void copyStateContent(OperatorState newstate) {
}

public XATTuple[] getAllStateTuples() {
	return null;
}

public ArrayList getStateTuples() {
	return null;
}

/**
 * Insert the method's description here.
 * Creation date: (6/1/2003 7:36:13 AM)
 * @return long
 */
public long[] getEarlistTimeStamp()
{
	return null;
}
/**
 * Insert the method's description here.
 *
 * Get tuple with earliest timestamp
 *
 * Creation date: (6/1/2003 7:36:13 AM)
 * @return long
 */
public XATTuple getEarlistTuple() {
    return null;
}
/**
 * Insert the method's description here.
 * Creation date: (6/1/2003 7:36:35 AM)
 * @return long
 */
public long[] getLatestTimeStamp()
{
	return null;
}
/**
 * Insert the method's description here.
 *
 * Get tuple with latest timestamp
 *
 * Creation date: (6/1/2003 7:36:35 AM)
 * @return long
 */
public XATTuple getLatestTuple() {
	return null;
}

/**
 * Insert the method's description here.
 * Creation date: (6/23/2003 5:38:12 AM)
 * @return int
 */
//public int getStateTupleCounts() {
//	return 0;
//}
/**
 * Insert the method's description here.
 * Creation date: (2/25/2003 11:26:24 AM)
 */
public void insertTuple(XATTuple newTuple) {}
public void insertTuple(XATTuple[] newTuple) {}
public void insertTuple(ArrayList newTuples){}

public void probe(XATTuple tuple) {
	
}

public void probe(XATTuple tuple, ExpressionStr expression, int statepos) {
	
}

public void probe(XATTuple[] tuples) {
	
}

public XATTuple[] probe(XATTuple[] tuples, ExpressionStr expression, int statepos) {
	return null;
}


public void purgeByTuple(XATTuple newTuple) {}

public void purgeByTuple(XATTuple newTuple, long overall_min) {}

}