package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.execution;

import java.util.HashMap;
import edu.wpi.cs.dsrg.xmldb.xat.common.dag.XATTuple;

public class EqualOperatorNode {

	int attributeId; // attribute id

	HashMap<String, node> nodeList;

	public EqualOperatorNode(int atrbId)

	{
		attributeId = atrbId;
		nodeList = new HashMap<String, node>();

	}

	public void addNode(String rhs) {
		node n = new node();
		nodeList.put(rhs, n);
	}

	public void addNode(String rhs, node n) {
		nodeList.put(rhs, n);
	}

	public node FindMatch(XATTuple ProbeTuple) {
		try {
			String key = ProbeTuple.getCell(attributeId).toString();
			node n = nodeList.get(key);
			if (n != null) {
				return n;
			} else
				return null;
		} catch (Exception ex) {
			return null;
		}
	}

	public int getAttributeId() // attribute id
	{
		return attributeId;
	}
}
