package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.execution;

import java.util.ArrayList;
import java.util.HashMap;
import edu.wpi.cs.dsrg.STeM.STeMData;
import edu.wpi.cs.dsrg.xmldb.xat.common.operator.streamoperator.XATMultiQueueStreamOperator;
import edu.wpi.cs.dsrg.xmldb.xat.common.relationalstreamexpression.ExpressionStr;

//Karen Works
//Rimma V. Nehme - some enhancements
//This is the eddy operator 

public interface OnlineClassifierOperator extends XATMultiQueueStreamOperator
{
	void setNumStreams(int Ns);
	int getNumStreams();

	void setNumOps(int NOps);
	void setOperatorLookUp(OperatorLookUp z);
	
	public void setSTeMStreamData(HashMap<Integer,STeMData> sd);
	
	//decision tree used to evaluate tuple & create ruster
	public void setExecutionDecisionTree(ArrayList<node> d);
	
	//get orginial dt
	public ArrayList<ArrayList<DecisionTreeNode>> getStreamDT();
	
	//used to know which rusters are associated with which streams
	public void setRusterPerStream(ArrayList<HashMap<Integer,RusterNode>> d);
	public ArrayList<HashMap<Integer,RusterNode>> getRusterPerStream();
	
	//used to determine when to create ruster
	public void setSendOff(int so);
	public int getSendOff();

	void InitializeVariables();

	ExpressionStr getExpression();
	void setExpression(ExpressionStr expression);	
}
