package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.execution;
import java.util.*;
import edu.wpi.cs.dsrg.xmldb.xat.common.dag.*;

public class OperatorLookUpImp implements OperatorLookUp{
	ArrayList<XATQueue> OpInputQueue;
	XATQueue OutputQueue;
	
	public OperatorLookUpImp()
	{
		OpInputQueue = new ArrayList<XATQueue>();
	}

	public OperatorLookUpImp(int numOps)
	{
		OpInputQueue = new ArrayList<XATQueue>(numOps);
		for(int t = 0; t < numOps; t++)
		{
			OpInputQueue.add(null);
		}
	}

	public void setOperatorQueue(XATQueue q,int pos)
	{
		OpInputQueue.set(pos, q);
	}

	public void setOutputQueue(XATQueue q)
	{
		OutputQueue= q;
	}
	
	public XATQueue getOperatorQueue(int Op)
	{
		return OpInputQueue.get(Op);
	}

	public XATQueue getOutputQueue()
	{
		return OutputQueue;
	}
	
}
