//--------------------------------------------------
// RoutingToken.java
// Author: Rimma V. Nehme, rnehme@purdue.edu, 2007
//--------------------------------------------------
package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.execution;

import java.util.ArrayList;
import edu.wpi.cs.dsrg.xmldb.xat.common.dag.XATPunct;

/**
 * @author Rimma V. Nehme
 *
 */
public interface RoutingToken extends XATPunct 
{	
	public void setRTokenPunctTypeArray(int[] pTypeArray, ArrayList<Integer> operatorStack);  
	public Integer getTopOperator();
	public int OpStackSize();
	public void popTopOperator();
	public void setOpStackSize(ArrayList<Integer> os);
	public ArrayList<Integer> getOpStack();

	public int GetNumTuples();
	public void SetNumTuples(int t);
	public String getStackString();
	
	RoutingToken CreateClone();
	
	//STQM
	public void SetRouteId(String routeIdVal);
	public String GetRouteId();	
	public String GetRTokenStreamId();	
	public boolean GetIsExplorationRuster();	
	public void SetIsExplorationRuster(boolean isExplorationRusterVal);
	public boolean GetIsStatisticsRuster();	
	public void SetIsStatisticsRuster(boolean isStatisticsRusterVal);
}
