//--------------------------------------------------
// AttributeProperties.java
// Author: Rimma V. Nehme, rnehme@purdue.edu, 2008
//--------------------------------------------------

package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.optimization;

import java.util.ArrayList;
import java.util.Hashtable;

public class AttributeProperties 
{
	private String attrName = ""; 
	private String attrType = ""; 
	private String attrBUse = "";
	private String attrBIsTarget = "";
	
	 public AttributeProperties(String attrNameVal, 
								String attrTypeVal,
								String attrBUseVal,
								String attrBIsTargetVal)
	 {
		 attrName = attrNameVal; 
		 attrType = attrTypeVal; 
		 attrBUse = attrBUseVal;
		 attrBIsTarget = attrBIsTargetVal;
	 }
	
	 public String GetAttrName()	
	 {
		return attrName;		
	 }
				
	 public String GetAttrType()
	 {
		return attrType;			
	 }	
	 
	 public String GetBUseAttr()
	 {
		return attrBUse;			
	 }	
	 
	 public String GetBIsTarget()
	 {
		return attrBIsTarget;			
	 }	
}
