//--------------------------------------------------
// OperatorSignature.java
// Author: Rimma V. Nehme, rnehme@purdue.edu, 2007
//--------------------------------------------------

package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.optimization;

public class OperatorSignature 
{
	
	//---------------------------------------------------------------------------------------------------
	
	String leftChild;
	String rightChild;

	//---------------------------------------------------------------------------------------------------
	
	public OperatorSignature(String leftChildVal, String rightChildVal)
	{
		leftChild = leftChildVal;
		rightChild = rightChildVal;
	}
	
	//---------------------------------------------------------------------------------------------------
	
	public String toString() 
	{	
		StringBuilder result = new StringBuilder();	 
		String NEW_LINE = System.getProperty("line.separator");
 
		result.append(NEW_LINE + "OperatorSignature:"+ NEW_LINE);
		result.append("leftChild: " + leftChild + NEW_LINE);	       
		result.append("rightChild: " + rightChild + NEW_LINE);	
		return result.toString();    	    
	}
	    	  
	//---------------------------------------------------------------------------------------------------
}
