package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.optimization;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.util.Enumeration;
import java.util.Hashtable;

public class Partition 
{ 
	static String fileLocation = "C:\\QueryMesh\\tmp\\tmp.txt"; 

	
    public static void boundedPartition(int n, int partitionBound) 
    {
    	boundedPartition(n, n, "", partitionBound);
    }
	
    public static void partition(int n) 
    {
        partition(n, n, "");
    }
    
    static int MAX_COUNTER = 0;
    static int LAST_MAX = - 999;
    static Hashtable hashPartitionLayers = new Hashtable();
    
    public static void partition(int n, int max, String prefix) 
    {    	    	    
        if (n == 0) 
        {
        	String [] tokens = prefix.split(" ");
        	if (LAST_MAX == -999)
        	{
        		LAST_MAX = max;
        		MAX_COUNTER = 0;
        	}    	
        	if (LAST_MAX == (Integer.parseInt(tokens[1])+ 1))
    	    {
    	    	String counterStr = "---["+LAST_MAX+"]-->["+MAX_COUNTER+"]---";
    	    	hashPartitionLayers.put(""+LAST_MAX, ""+MAX_COUNTER);
    	    	System.out.println(counterStr);
    	        //WriteToDumpFile(fileLocation, counterStr);
    	    	LAST_MAX = Integer.parseInt(tokens[1]);
    	    	MAX_COUNTER = 1;
    	    }
    	    else if (LAST_MAX == Integer.parseInt(tokens[1]))
    	    {
    	    	MAX_COUNTER++;
    	    }
        	        	
            System.out.println(prefix);
            WriteToDumpFile(fileLocation, prefix);
            return;
        }
  
        for (int i = Math.min(max, n); i >= 1; i--) 
        {
            partition(n-i, i, prefix + " " + i);
        }
    }

    
    
    public static void boundedPartition(int n, int max, String prefix, int partitionBound) 
    {    	    	    
        if (n == 0) 
        {
        	String [] tokens = prefix.split(" ");
        	if (LAST_MAX == -999)
        	{
        		LAST_MAX = max;
        		MAX_COUNTER = 0;
        	}    	
        	if (LAST_MAX == (Integer.parseInt(tokens[1])+ 1))
    	    {
    	    	String counterStr = "---["+LAST_MAX+"]-->["+MAX_COUNTER+"]---";
    	    	hashPartitionLayers.put(""+LAST_MAX, ""+MAX_COUNTER);
    	    	System.out.println(counterStr);
    	        //WriteToDumpFile(fileLocation, counterStr);
    	    	LAST_MAX = Integer.parseInt(tokens[1]);
    	    	MAX_COUNTER = 1;
    	    }
    	    else if (LAST_MAX == Integer.parseInt(tokens[1]))
    	    {
    	    	MAX_COUNTER++;
    	    }
        	        	
            System.out.println(prefix);
            WriteToDumpFile(fileLocation, prefix);
            return;
        }
  
        for (int i = Math.min(max, n); i >= 1; i--) 
        {
            partition(n-i, i, prefix + " " + i);
        }
    }

    
    
    

    public static void main(String[] args) 
    { 
        int N = Integer.parseInt("4");
        //int partitionBound = Integer.parseInt("47");
        //boundedPartition(N, partitionBound);
        
        
        partition(N);
        
        //write out the partitions
        System.out.println();
        Enumeration e = hashPartitionLayers.keys(); 
		while (e.hasMoreElements()) 
		{
			String key = (String)e.nextElement();
			String numNeighbors = (String)hashPartitionLayers.get(key);
			System.out.println(key + " --> " + numNeighbors);
		}
    }

	public static void WriteToDumpFile(String fileLocation, String stringToWrite)
	{
		try
		{
			//Create file 
			FileWriter fstream = new FileWriter(fileLocation, true);
			BufferedWriter out = new BufferedWriter(fstream);
			out.write(stringToWrite);
			out.newLine();
			//Close the output stream
			out.close();			    
		}
		catch (Exception e)
		{
			//Catch exception if any
			System.err.println("Error: " + e.getMessage());
		}
	}
}
