package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.optimization;



import java.util.Vector;
import java.io.*;
import edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.optimization.JSetL.*;

/*******************************************************************************
 **                               Powerset                                     **
 **                                                                            **
 **    Compute the powerset of a given set s                                   **
 **                                                                            **
 *******************************************************************************/

class Powerset
{ 
 public static Set powerset(Set s)  throws IOException,Failure
 {
  Set r = new Set();  
  SolverClass sc = new SolverClass();
  sc.add(r.subset(s));
  return sc.setof(r);
 }

 public static void main (String[] args)throws IOException,Failure
 { 
   int[] s_elems = {1,2,3,4,5,6,7};
   Set s = new Set(s_elems);            // s = {1,2,3}

//   char[] s_elems = {'a','b'};
//   Set s = new Set(s_elems);            // s = {'a','b'}

   Set ps = new Set("powerset",powerset(s));
   ps.output();
   System.out.println();
   return;
 }
}

/***************************************************************************************
  
   s = {1,2,3}

OUTPUT:
 
   powerset = {{},{3},{2},{2,3},{1},{1,3},{1,2},{1,2,3}}
 
  
****************************************************************************************/
 
