//--------------------------------------------------
// RouteSignature.java
// Author: Rimma V. Nehme, rnehme@purdue.edu, 2007
//--------------------------------------------------

package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.optimization;

import edu.wpi.cs.dsrg.xmldb.xat.component.queryoptimizer.graph.tree.classes.QueryPlan;

public class RouteSignature 
{
	//----------------------------------------------------------------------------------------------------
	
	QueryPlan route;
	String ruster;

	//----------------------------------------------------------------------------------------------------
	
	public RouteSignature(QueryPlan routeVal, String rusterVal)
	{
		route = routeVal;
		ruster = rusterVal;
	}
	
	//----------------------------------------------------------------------------------------------------
	
	public QueryPlan getQueryPlan()
	{
		return route;
	}
	
	//----------------------------------------------------------------------------------------------------
	
	public String getRuster()
	{
		return ruster;
	}

	//----------------------------------------------------------------------------------------------------
	
	public String toString()
	{
		String str = "\n";
		str += "ruster[" + ruster + "]\n";
		str += "route = " + route.toString();
		return str;
	}	
      
	//----------------------------------------------------------------------------------------------------
   
}
