package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.translation;

import java.util.ArrayList;

public class DecisionTreeNodeSignature 
{
	//-----------------------------------------------------------------------------
	
	String parentNodeId = "";
	String nodeId = "";
	String nodeType = "";
	
	String streamId = "";
	String attrIdx = "";
	String attrName = "";
	String isBucketized = "";
	String nodeOperation = "";
	String nodeOperationTest = "";
	ArrayList childrenNodesIds = new ArrayList();
	
	//-----------------------------------------------------------------------------
	
	public DecisionTreeNodeSignature(String parentNodeIdVal,
									 String nodeIdVal, 
									 String nodeTypeVal,
									 String streamIdVal,
									 String attrIdxVal,
									 String attrNameVal,
									 String isBucketizedVal,
									 String nodeOperationVal,
									 String nodeOperationTestVal,
									 ArrayList childrenNodesIdsVal)
	{
		parentNodeId = parentNodeIdVal;
		nodeId = nodeIdVal;
		nodeType = nodeTypeVal;
		
		streamId = streamIdVal;
		attrIdx = attrIdxVal;
		attrName = attrNameVal; 
		isBucketized = isBucketizedVal;
		nodeOperation = nodeOperationVal;
		nodeOperationTest = nodeOperationTestVal;
		childrenNodesIds = childrenNodesIdsVal;
	}

	//-----------------------------------------------------------------------------
	
	public ArrayList GetChildrenNodesIds()
	{
		return childrenNodesIds;
	}
	
	//-----------------------------------------------------------------------------
	
	public String GetParentNodeId()
	{
		return parentNodeId;
	}
	
	//-----------------------------------------------------------------------------
	
	public String GetNodeOperationTest()
	{
		return nodeOperationTest;
	}	
	
	//-----------------------------------------------------------------------------
	
	public String GetNodeOperation()
	{
		return nodeOperation;
	}
	
	//-----------------------------------------------------------------------------
	
	public String GetIsBucketized()
	{
		return isBucketized;
	}
	
	//-----------------------------------------------------------------------------
	
	public String GetAttrName()
	{
		return attrName;
	}
	
	//-----------------------------------------------------------------------------
	
	public String GetAttrIdxVal()
	{
		return attrIdx;
	}
	
	//-----------------------------------------------------------------------------
	
	public String GetStreamId()
	{
		return streamId;
	}
	
	//-----------------------------------------------------------------------------
	
	public String GetNodeId()
	{
		return nodeId;
	}
	
	//-----------------------------------------------------------------------------
	
	public String GetNodeType()
	{
		return nodeType;
	}
	
	//-----------------------------------------------------------------------------
}
