package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.translation;

import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Hashtable;

public class LocalQMSignature 
{
	//-------------------------------------------------------------------------------------
	
	String streamId;
	ArrayList dtNodes; 
	Hashtable routes;
	Hashtable hashRusterRouteIdMapping;
	
	//-------------------------------------------------------------------------------------
	
	public LocalQMSignature(String streamIdVal, 
							ArrayList dtNodesVal, 
							Hashtable routesVal,
							Hashtable hashRusterRouteIdMappingVal)
	{
		streamId = streamIdVal;
		dtNodes = dtNodesVal;
		routes = routesVal;
		hashRusterRouteIdMapping = hashRusterRouteIdMappingVal;
	}
	
	//-------------------------------------------------------------------------------------
	
	public Hashtable GetHashRusterRouteIdMapping()
	{
		return hashRusterRouteIdMapping;
	}
	
	//-------------------------------------------------------------------------------------
	
	public String GetStreamId()
	{
		return streamId;
	}
	
	//-------------------------------------------------------------------------------------
	
	public ArrayList GetDecisionTreeNodes()
	{
		return dtNodes;
	}
	
	//-------------------------------------------------------------------------------------
	
	public Hashtable GetRoutes()
	{
		return routes;
	}
	
	//-------------------------------------------------------------------------------------
	
	public String GetRouteIdBySignature(String routeSignature)
	{
		String routeId = "-999";
		Enumeration e = routes.elements(); 
		
		while (e.hasMoreElements()) 
		{
			PhysicalRouteSignature currRouteSignature = (PhysicalRouteSignature)e.nextElement();
			if (currRouteSignature.logicalPlan.equalsIgnoreCase(routeSignature))
			{
				routeId = currRouteSignature.routeId;
				break;
			}		
		}
		
		return routeId;
	}
	
	//-------------------------------------------------------------------------------------
	
}
