package edu.wpi.cs.dsrg.xmldb.xat.common.querymesh.translation;

import java.util.ArrayList;
import java.util.Hashtable;

public class PhysicalRouteSignature 
{
	//----------------------------------------------------------------------------------------------------
	
	String routeId = ""; 
	String rusterName = "";
	String logicalPlan = "";
	boolean isDefaultRoute = false;
	Hashtable physicalOperatorsOrder = new Hashtable();
	
	//----------------------------------------------------------------------------------------------------
	
	public PhysicalRouteSignature(String routeIdVal, 
								  String rusterNameVal, 
								  String logicalPlanVal,
								  Hashtable physicalOperatorsOrderVal, 
								  boolean isDefaultRouteVal)
	{
		routeId = routeIdVal;
		rusterName = rusterNameVal;
		isDefaultRoute = isDefaultRouteVal;
		logicalPlan = logicalPlanVal;
		physicalOperatorsOrder = physicalOperatorsOrderVal;
	}

	//----------------------------------------------------------------------------------------------------
	
	public String GetRusterName()
	{
		return rusterName;
	}
	
	//----------------------------------------------------------------------------------------------------
	
	public String GetRouteId()
	{
		return routeId;
	}
	
	//----------------------------------------------------------------------------------------------------
	
	public String GetLogicalPlan()
	{
		return logicalPlan;
	}
	
	//----------------------------------------------------------------------------------------------------
	
	public Hashtable GetPhysicalOperatorOrder()
	{
		return physicalOperatorsOrder;
	}

	//----------------------------------------------------------------------------------------------------
	
	public boolean IsDefaultRoute()
	{
		return isDefaultRoute;
	}
	
	//----------------------------------------------------------------------------------------------------
	
	public void  SetDefaultRoute(boolean isDefaultRouteVal)
	{
		isDefaultRoute = isDefaultRouteVal;
	}
	
	//----------------------------------------------------------------------------------------------------
	
    public String toString() 
    {
        StringBuilder result = new StringBuilder();
        String NEW_LINE = System.getProperty("line.separator");

        result.append(NEW_LINE + "PhysicalRouteSignature:"+ NEW_LINE);
        result.append("routeId: " + routeId + NEW_LINE);
        result.append("rusterName: " + rusterName + NEW_LINE);
        result.append("logicalPlan: " + logicalPlan + NEW_LINE);
        result.append("isDefaultRoute: " + isDefaultRoute + NEW_LINE);
        result.append("physicalOperatorsOrder: " + physicalOperatorsOrder + NEW_LINE + NEW_LINE);
        return result.toString();    
    }

  //----------------------------------------------------------------------------------------------------
    
}
