/////////////////////////// COPYRIGHT /////////////////////////////////////
//
//  Query Mesh 1.0 - Adaptive Data Stream Query Processing.
//
//  Copyright 2010, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty.
//  In no event will the authors be held liable for any damages arising
//  from the use of this software.
//
//  Authors:
//  Steffen Christ, Katica Dimitrova, Luping Ding, Michal A. Dobos,
//  Maged El-Sayed, Geoff Greene, Huzefa Hakimi, Chuan Lei, Justin Lutz, 
//	Guy D. Mann, Mukesh Mulchandani, Brian Murphy, Rimma Nehme, 
//	Bradford Pielech, Alex Proschitsky, Elke A. Rundensteiner, Ling Wang,
//	Song Wang, Karen Works, and Xin Zhang
//
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/dsrg/PROJECTS/QM/index.html
//  Send bug reports, bug fixes, enhancements, requests, or comments to
//  the QueryMesh Development Team: <QueryMesh@WPI.EDU>.
package edu.wpi.cs.dsrg.xmldb.xat.component.executioncontroller;

/**
 * Insert the type's description here.
 * Creation date: (4/10/03 11:32:39 AM)
 * @author: Timothy M. Sutherland
 */
public class DistributedExperimentSetup 
{
/**
 * Insert the method's description here.
 * Creation date: (4/10/03 11:32:48 AM)
 * @param args java.lang.String[]
 */
public static void main(String[] args) 
{
	DistributedSystemSetup system;

	if(args.length != 1)
	{
		System.out.println("Usage: java DistributedExperimentSetup [port | configfilename]");
		return;
	}

	if(!args[0].endsWith(".xml"))
	{
		system = new DistributedSystemSetup(Integer.parseInt(args[0]));
	}
	else
	{
		system = new DistributedSystemSetup(args[0]);
	}
	
	Thread t = new Thread(system);
	t.setName("Distributed System Thread");
	t.start();
	return ;
	
	}
}
