/////////////////////////// COPYRIGHT /////////////////////////////////////
//
//  CAPE v1.0.
//
//  Copyright 2003-2005, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty.
//  In no event will the authors be held liable for any damages arising
//  from the use of this software.
//
//  Authors:
//  Luping Ding, Mariana Jbantova, Jinhui Jian, Bin Liu, Bradley Momberger, 
//  Rimma Nehme, Bradford Pielech, Hong Su, Elke A. Rundensteiner, 
//  Timothy Sutherland, Song Wang, Xin Zhang and Yali Zhu. 
//  
//
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/~dsrg/CAPE/index.html
//
//  Send bug reports, bug fixes, enhancements, requests, or comments to
//  the DSRG CAPE Development Team: <cape@WPI.EDU>.
//
/////////////////////////// COPYRIGHT /////////////////////////////////////

/*
 * Created on Nov 16, 2005
 */
package edu.wpi.cs.dsrg.xmldb.xat.component.optimizer.mjoinoptimizer;

import edu.wpi.cs.dsrg.xmldb.xat.common.dag.XATDag;

/**
 * @author Yali Zhu
 * 
 * Insert comments here.
 */
public class HybridHeuristicOptimizer extends MultiJoinOptimizer {

	public HybridHeuristicOptimizer(XATDag dag) {
		super(dag);
	}
	
	/**
	 * find qualified query plan based on current join graph
	 */
	public XATDag optimize(XATDag olddag) {
		return olddag;
	}

}
