/////////////////////////// COPYRIGHT /////////////////////////////////////
//
//  Query Mesh 1.0 - Adaptive Data Stream Query Processing.
//
//  Copyright 2010, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty.
//  In no event will the authors be held liable for any damages arising
//  from the use of this software.
//
//  Authors:
//  Steffen Christ, Katica Dimitrova, Luping Ding, Michal A. Dobos,
//  Maged El-Sayed, Geoff Greene, Huzefa Hakimi, Chuan Lei, Justin Lutz, 
//	Guy D. Mann, Mukesh Mulchandani, Brian Murphy, Rimma Nehme, 
//	Bradford Pielech, Alex Proschitsky, Elke A. Rundensteiner, Ling Wang,
//	Song Wang, Karen Works, and Xin Zhang
//
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/dsrg/PROJECTS/QM/index.html
//  Send bug reports, bug fixes, enhancements, requests, or comments to
//  the QueryMesh Development Team: <QueryMesh@WPI.EDU>.
package edu.wpi.cs.dsrg.xmldb.xat.component.scheduler;

import edu.wpi.cs.dsrg.xmldb.xat.common.operator.streamoperator.XATStreamOperator;
/**
 * Insert the type's description here.
 * Creation date: (1/22/03 4:02:37 PM)
 * @author: Brad Pielech
 */
public class XATSchedulerDecision {
	protected XATStreamOperator nextOperator ;
	protected int numberOfTuples;
/**
 * XATSchedulerDecision constructor comment.
 */
public XATSchedulerDecision() {
	super();	
}
/**
 * Insert the method's description here.
 * Creation date: (1/22/03 4:03:22 PM)
 * @return edu.wpi.cs.dsrg.xmldb.xat.common.operator.streamoperator.XATStreamOperator
 */
public XATStreamOperator getNextOperator() {
	return nextOperator;
}
/**
 * Insert the method's description here.
 * Creation date: (1/22/03 4:04:25 PM)
 * @return int
 */
public int getNumberOfTuples() {
	return numberOfTuples;
}
/**
 * Insert the method's description here.
 * Creation date: (1/22/03 4:03:22 PM)
 * @param newNextOperator edu.wpi.cs.dsrg.xmldb.xat.common.operator.streamoperator.XATStreamOperator
 */
public void setNextOperator(XATStreamOperator newNextOperator) {
	nextOperator = newNextOperator;
}
/**
 * Insert the method's description here.
 * Creation date: (1/22/03 4:04:25 PM)
 * @param newNumberOfTuples int
 */
public void setNumberOfTuples(int newNumberOfTuples) {
	numberOfTuples = newNumberOfTuples;
}
/**
 * Insert the method's description here.
 * Creation date: (1/22/03 5:30:41 PM)
 * @return java.lang.String
 */
public String toString() {
	String rs = new String();
	rs = "Decision: \n" + nextOperator + "\n" + "workload: " + numberOfTuples;
	return rs;
}
}
