/////////////////////////// COPYRIGHT /////////////////////////////////////
//
//  Query Mesh 1.0 - Adaptive Data Stream Query Processing.
//
//  Copyright 2010, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty.
//  In no event will the authors be held liable for any damages arising
//  from the use of this software.
//
//  Authors:
//  Steffen Christ, Katica Dimitrova, Luping Ding, Michal A. Dobos,
//  Maged El-Sayed, Geoff Greene, Huzefa Hakimi, Chuan Lei, Justin Lutz, 
//	Guy D. Mann, Mukesh Mulchandani, Brian Murphy, Rimma Nehme, 
//	Bradford Pielech, Alex Proschitsky, Elke A. Rundensteiner, Ling Wang,
//	Song Wang, Karen Works, and Xin Zhang
//
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/dsrg/PROJECTS/QM/index.html
//  Send bug reports, bug fixes, enhancements, requests, or comments to
//  the QueryMesh Development Team: <QueryMesh@WPI.EDU>.

package edu.wpi.cs.dsrg.xmldb.xat.raindrop.utils;

/**
 * Insert the type's description here.
 * Creation date: (5/13/2003 10:12:15 AM)
 * @author: Hong Su
 */

import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
 
public class XMLNodeManipulator {
/**
 * XMLNodeManipulator constructor comment.
 */
public XMLNodeManipulator() {
	super();
}
/**
 * Insert the method's description here.
 * Creation date: (5/8/2003 10:03:13 PM)
 * @return java.lang.String
 * @param o org.w3c.dom.Element
 */
static public String getStringValue(Node o) {
    String resultString = "";
    String sNodeTest = "#text";
    NodeList nlList = o.getChildNodes();
    for (int j = 0; j < nlList.getLength(); j++) {
        String sNodeName = nlList.item(j).getNodeName();
        if (sNodeTest.equals(sNodeName))
            resultString += nlList.item(j).getNodeValue();
        else {
            //sNodeName is an intermediate tag, not text data yet
            //recursively apply finding text descendants
            resultString += (String) getStringValue((Element) nlList.item(j));
        }
    }
    return resultString;
}
}
